#ifndef _SOUNDS_H
#define _SOUNDS_H

/* MISC SOUNDS */
enum  {
  ARMAGGEDON_PICKED,
  SHOCKWAVE_PICKED,
  HIGHSPEED_PICKED,
  STOPTIME_PICKED,

  S_PLAYER_DIES,
  S_SHMOLLUX_EATEN,
  S_TELEPORT,
  
  S_YOU_WIN,
  S_GAME_OVER,

  S_PROXIMITY_WARNING,

  NUM_MISC_SOUNDS
};

enum
{
  MENU_SOUND_OK,
  MENU_SOUND_BACK,
  MENU_SOUND_ARROW,
  MENU_SOUND_LAUNCH,
  MENU_SOUND_SELECT_SUBMENU,

  NUM_MENU_SOUNDS
};

int load_misc_sounds();
int load_menu_sounds();
int cleanup_menu_sounds();
void play_misc_sound(int which);
void play_menu_sound(int which);

#endif
